Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.impl
Class ExtendedNodeImpl

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl
          org.jbpm.workflow.core.impl.ExtendedNodeImpl

All Implemented Interfaces:
  Serializable, Contextable, ContextResolver, Node

Direct Known Subclasses:
  ActionNode, CatchLinkNode, EndNode, EventNode, FaultNode, ForEachNode.ForEachJoinNode, ForEachNode.ForEachSplitNode, StartNode, StateBasedNode, ThrowLinkNode, TimerNode

    public class ExtendedNodeImpl

extends NodeImpl

See Also:
  Serialized Form

Field Summary
`static String` | `EVENT_NODE_ENTER`
`static String` | `EVENT_NODE_EXIT`

Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl
`constraints, EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`ExtendedNodeImpl()`

Method Summary
`boolean` | `containsActions()`
`List<DroolsAction>` | `getActions(String type)`
`String[]` | `getActionTypes()`
`void` | `setActions(String type, List<DroolsAction> actions)`

Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl
`addConstraint, addIncomingConnection, addOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVENT_NODE_ENTER

    public static final String EVENT_NODE_ENTER

See Also:
  Constant Field Values

### EVENT_NODE_EXIT

    public static final String EVENT_NODE_EXIT

See Also:
  Constant Field Values

Constructor Detail

### ExtendedNodeImpl

    public ExtendedNodeImpl()

Method Detail

### setActions

    public void setActions(String type,
                           List<DroolsAction> actions)

### getActions

    public List<DroolsAction> getActions(String type)

### containsActions

    public boolean containsActions()

### getActionTypes

    public String[] getActionTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.